Page MenuHomePhabricator

"Add pages I create and files I upload to my watchlist" should be checked by default on Commons
Closed, ResolvedPublic

Description

On Commons, the "Add pages I create and files I upload to my watchlist" preference should be checked by default for consistency with other Wikimedia wikis. There is no particular reason why Commons should be any different.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2017, 2:14 AM

Change 385818 had a related patch set uploaded (by GeoffreyT2000; owner: GeoffreyT2000):
[operations/mediawiki-config@master] Set 'watchcreations' preference to true by default on Commons

https://gerrit.wikimedia.org/r/385818

TTO added a subscriber: TTO.Oct 22 2017, 7:54 AM

Normally something like this would require community consensus, unless you could prove that it is a historical accident (and even then, some might still insist on community consensus).

Dereckson triaged this task as Normal priority.

Change 385818 abandoned by GeoffreyT2000:
Set 'watchcreations' preference to true by default on Commons

Reason:
Discussion started at https://commons.wikimedia.org/wiki/Commons:Village_pump/Proposals#Watch_creations_by_default.

https://gerrit.wikimedia.org/r/385818

The discussion has now been started at Commons:Village pump/Proposals#Watch creations by default. If the consensus is in favor of this proposal, then this task can be approved.

Urbanecm claimed this task.Dec 28 2017, 1:35 PM
Urbanecm added a subscriber: Urbanecm.

Will do.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 28 2017, 1:35 PM

Change 400579 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Set 'watchcreations' preference to true by default on Commons

https://gerrit.wikimedia.org/r/400579

Patch uploaded. Will be deployed at January 2nd. If anybody have time, please review. I'm not 100% sure it'll work.

Martin

Note that there could be several reasons for this historical specification:
I see in particular that commons users create a large (ie. very large for @Fae and lot other) number of pages, comparing to articles on other content wikis (except WD). For example, would there be performance problems for watching lists to now become huge by default?

Change 400579 merged by jenkins-bot:
[operations/mediawiki-config@master] Set 'watchcreations' preference to true by default on Commons

https://gerrit.wikimedia.org/r/400579

Mentioned in SAL (#wikimedia-operations) [2018-01-02T15:03:26Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:400579|Set watchcreations preference to true by default on Commons (T178750)]] (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-01-02T15:04:27Z] <zfilipin@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:400579|Set watchcreations preference to true by default on Commons (T178750)]] (duration: 00m 51s)

Urbanecm closed this task as Resolved.Jan 2 2018, 3:06 PM

Deployed